GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GDALMDReaderManager Class Reference

The metadata reader main class. More...

`#include <gdal_mdreader.h>`

## Public Member Functions
| GDALMDReaderManager ()
| GDALMDReaderManager()
virtual | ~GDALMDReaderManager ()
| ~GDALMDReaderManager()
virtual GDALMDReaderBase * | GetReader (const char *pszPath, char **papszSiblingFiles, GUInt32 nType=MDR_ANY)
| Try to detect metadata reader correspondent to the provided datasource path. More...

## Detailed Description

The metadata reader main class.

The main purpose of this class is to provide an correspondent reader for provided path.

## Member Function Documentation

GDALMDReaderBase * GDALMDReaderManager::GetReader | ( | const char * | pszPath,
|  | char ** | papszSiblingFiles,
|  | GUInt32 | nType = `MDR_ANY`
| ) |  |
| virtual

Try to detect metadata reader correspondent to the provided datasource path.

Parameters

  pszPath | a path to GDALDataset
  papszSiblingFiles | file list for metadata search purposes
  nType | a preferable reader type (may be the OR of MDReaders)

Returns
  an appropriate reader or NULL if no such reader or error. The pointer delete by the GDALMDReaderManager, so the user have not delete it.

The documentation for this class was generated from the following files:

- gdal_mdreader.h
- gdal_mdreader.cpp

Generated for GDAL by 1.8.9.1.